// 校友信息管理
// 引入axios请求实例（已封装好baseURL、请求拦截器携带token）
import request from '@/utils/request'

// 7.7.	校友分页列表数据
export function queryUsersPage(params) {
  return request({
    url: `/api/alumniUser/queryUsersPage`,
    method: 'get',
    params
  })
}

// 7.8.	创建校友信息
export function insertUserData(data) {
  return request({
    url: `/api/alumniUser/insertUserData`,
    method: 'post',
    data
  })
}

// 7.9.	编辑校友信息
export function updateUserData(data) {
  return request({
    url: '/api/alumniUser/updateUserData',
    method: 'post',
    data
  })
}

// 13.4.	删除新闻分类数据
export function deleteUserDataById(params) {
  return request({
    url: '/api/alumniUser/deleteUserDataById',
    method: 'get',
    params
  })
}

// 7.11.	校友信息导入模板下载
export function downloadUserExcel() {
  return request({
    url: '/api/alumniUser/downloadUserExcel',
    method: 'get',
  })
}

// 7.12.	导入校友信息数据
export function importUserExcel(data) {
  return request({
    url: '/api/alumniUser/importUserExcel',
    method: 'post',
    data // 传修改后的菜单对象，必须带id
  })
}

// 7.13.	导出校友信息数据
export function alumniUserExport(data) {
  return request({
    url: `/api/alumniUser/alumniUserExport`,
    method: 'post',
    data,
    responseType: 'blob',
  })
}

// 7.1.	获取毕业年份下拉列表数据
export function queryGraduate() {
  return request({
    url: '/api/alumniUser/queryGraduate',
    method: 'get',
  })
}

// 7.2.	获取学院下拉列表数据
export function queryColleges() {
  return request({
    url: '/api/alumniOrg/queryColleges',
    method: 'get',
  })
}

// 7.3.	根据学院ID获取入学年下拉列表数据
export function queryPeriods(params) {
  return request({
    url: '/api/alumniOrg/queryPeriods',
    method: 'get',
    params
  })
}

// 7.4.	根据入学年ID获取专业下拉列表数据
export function queryMajors(params) {
  return request({
    url: '/api/alumniOrg/queryMajors',
    method: 'get',
    params
  })
}

// 7.5.	根据专业ID获取班级下拉列表数据
export function queryClasses(params) {
  return request({
    url: '/api/alumniOrg/queryClasses',
    method: 'get',
    params
  })
}

// 7.6.	获取身份认证下拉列表数据
export function queryIdentitys(params) {
  return request({
    url: '/api/alumniOrg/queryIdentitys',
    method: 'get',
    params
  })
}